{% extends "users/userspace.html" %}

{% load static %}

{% block content %}
    <section class="container my-5">
        <h2 class="text-center text-uppercase mb-5">Gaia, la plateforme en ligne de l'Ins'Amap</h2>
        <!--p class="fs-4">Bienvenue sur Gaia, la plateforme en ligne de l'Ins'Amap !</p-->

        <p class="fs-5 px-5">
            L'Ins’AMAP est l’Association pour le Maintien d’une Agriculture Paysanne de l’INSA Lyon.
            Nous faisons des livraisons de légumes, oeufs, fromages locaux et de pain bio tous les lundis de 18h à 20h devant la maison
            des étudiants.
        </p>

        {{ ACCUEIL_SITE|safe }}

        <section class="border-top py-5 mt-5">
            <h2 class="text-center text-uppercase mb-5">Nos producteurs</h2>
            <section class="d-flex justify-content-around">
                <article class="card" style="width: 40%;">
                    <img src="{% static 'img/photos/photo_4saisons.jpg' %}"
                         alt="Photo des légumes de la ferme des 4 saisons"
                         class="card-img-top"
                    />
                    <div class="card-body">
                        <h4 class="card-title">Fabienne et Patrick, producteurs de légumes</h4>
                        <p class="card-text">
                            Partenaire de l'Ins'Amap depuis le tout début, Fabienne et Patrick nous livrent des légumes choisis avec
                            soin de leur ferme, les Quatre saisons, à Lucenay (69).
                        </p>
                    </div>
                </article>

                <article class="card" style="width: 40%;">
                    <img src="{% static 'img/photos/miecyclette_cover.jpg' %}"
                         alt="Photo du vélo de la Miecyclette"
                         class="card-img-top"
                    />
                    <div class="card-body">
                        <h4 class="card-title">La Miecyclette, boulangerie biologique</h4>
                        <p class="card-text">
                            La Miecyclette est une société coopérative lyonnaise qui livre son pain et autres produits
                            incroyables à vélo depuis le 8e arrondissement.
                            Plus d'infos sur <a href="http://www.lamiecyclette.fr/" target="_blank">leur site</a>.
                        </p>
                    </div>
                </article>
            </section>
        </section>

        <section class="border-top py-5">
            <h2 class="text-center text-uppercase mb-5">Comment participer ?</h2>
            <p class="fs-5 px-5">
                Les AMAP fonctionnent selon un système de contrats. Lorsque vous vous inscrivez, vous vous engagez sur
                des dates pour le semestre.<br>
                <br>
                Le choix des dates est très souple : lors de la création du contrat, choisissez les lundis et la
                quantité de produits que vous voulez !<br>
                Une adhésion de {{tarif_adhesion}} € à l'année civile vous sera demandée pour le réseau des AMAPs de la région.<br>
                <br>
                Vous pouvez dès maintenant vous <a href="{% url 'register' %}">inscrire sur Gaia</a>
                pour créer vos contrats !<br>
            </p>
        </section>

        {% if not request.user.is_authenticated %}
            <section class="d-flex flex-column align-items-center border-top py-5">
                <p class="text-center fst-italic fs-7">Vous souhaitez vous inscrire ? C'est par ici !</p>
                <a class="btn btn-success fs-3 px-4 py-3" href="{% url 'register' %}">
                    Inscrivez-vous ici
                </a>
            </section>
        {% endif %}

        <section class="border-top py-5">
            <h2 class="text-center text-uppercase mb-5">Des questions ?</h2>
            <p class="fs-5 px-5">
                Vous pouvez nous contacter par mail à l'adresse
                <a href="mailto:insamap@asso-insa-lyon.fr">insamap (at) asso-insa-lyon.fr</a>, ou bien sur Instagram :
                <a href="https://www.instagram.com/insamap/" target=”_blank”>@insamap</a>
            </p>
        </section>


        {% comment %}
        <section>
            <h3>Nos produits</h3>

            <div class="d-flex flex-wrap flex-row">

                <article class="card mx-3 my-4" style="width: 15em;">
                    <img src="#" width="100%" />
                    <div class="card-body">
                        <h5 class="card-title">
                            Panier légumes
                        </h5>
                        <h6 class="card-subtitle fst-italic mb-2">
                            5 kg de légumes de saison
                        </h6>
                    </div>
                </article>
            </div>
        </section>

        <section>
            <h3>Nos fermes partenaires</h3>

            <div class="d-flex flex-wrap flex-row">
                {% for ferme in fermes %}
                    <article class="card mx-3 my-4" style="width: 15em;">
                        <div class="card-body">
                            <h5 class="card-title">
                                {{ ferme.nom }}
                            </h5>
                            <h6 class="card-subtitle fst-italic mb-2">
                                {{ ferme.type_activite }}
                            </h6>
                            {% if ferme.description %}
                                <p class="card-text">
                                    {{ ferme.description }}
                                </p>
                            {% endif %}
                        </div>
                    </article>
                {% endfor %}
            </div>

        </section>

{% endcomment %}

        {% comment %}
        <p>
            NOS PRODUITS
            De la ferme de Stephanie (ferme des quatre saisons) :
            - Des paniers de 4-5kg de légumes (avec parfois des fruits ou des œufs) : 7,50€ le panier
            De la miecyclette :
            - Formule classique à 2,42€ les 500g
            - Formule Miecyclette Insa (alternance formule Classique/formule Gourmande/Tournelin) à 2,87 € les 500g
            - Formule Gourmande Insa (alternance Raisins Noisettes - Noix) à 3,50 € les 500g
            - Biscuits au petit épeautre à 3,42 € les 200g
            - Biscuits aux noix à 3,42 € les 200g
            - Ravitos (biscuits salés) à 2,66 € les 200g
            COMMENT CA SE PASSE ?
            L'inscription se fait par semestre : sur notre site, vous aurez la possibilité de choisir vous-mêmes les
            produits qui vous intéresse, en quelle quantité, et à quelle fréquence.
            La première livraison du premier semestre de cette année se fera la 11 Octobre.
            Une adhésion de 13€ vous sera demandée pour Objectif 21, et elle sera valable pour une année civile.
            Vous pourrez régler par chèques ou en espèces durant la première distributio
        </p>
        {% endcomment %}
    </section>
{% endblock %}